org.apache.tinkerpop.gremlin.neo4j.structure.trait

## Class MultiMetaNeo4jTrait

- java.lang.Object
- - org.apache.tinkerpop.gremlin.neo4j.structure.trait.MultiMetaNeo4jTrait

- All Implemented Interfaces:
    Neo4jTrait

  Deprecated.
  As of release 3.3.8, not replaced.

      @Deprecated
      public final class MultiMetaNeo4jTrait
      extends Object
      implements Neo4jTrait

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `VERTEX_PROPERTY_LABEL` Deprecated.
    `static String` | `VERTEX_PROPERTY_TOKEN` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertexProperty.Cardinality` | `getCardinality(String key)` Deprecated.
    `Predicate<Neo4jNode>` | `getNodePredicate()` Deprecated.
    `<V> Iterator<Property<V>>` | `getProperties(Neo4jVertexProperty vertexProperty, String... keys)` Deprecated.
    `<V> Property<V>` | `getProperty(Neo4jVertexProperty vertexProperty, String key)` Deprecated.
    `Predicate<Neo4jRelationship>` | `getRelationshipPredicate()` Deprecated.
    `<V> Iterator<VertexProperty<V>>` | `getVertexProperties(Neo4jVertex vertex, String... keys)` Deprecated.
    `<V> VertexProperty<V>` | `getVertexProperty(Neo4jVertex vertex, String key)` Deprecated.
    `static MultiMetaNeo4jTrait` | `instance()` Deprecated.
    `Iterator<Vertex>` | `lookupVertices(Neo4jGraph graph, List<HasContainer> hasContainers, Object... ids)` Deprecated.
    `void` | `removeVertex(Neo4jVertex vertex)` Deprecated.
    `void` | `removeVertexProperty(Neo4jVertexProperty vertexProperty)` Deprecated.
    `<V> Property<V>` | `setProperty(Neo4jVertexProperty vertexProperty, String key, V value)` Deprecated.
    `<V> VertexProperty<V>` | `setVertexProperty(Neo4jVertex vertex, VertexProperty.Cardinality cardinality, String key, V value, Object... keyValues)` Deprecated.
    `boolean` | `supportsMetaProperties()` Deprecated.
    `boolean` | `supportsMultiProperties()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERTEX_PROPERTY_LABEL

          public static final String VERTEX_PROPERTY_LABEL

      Deprecated.
      See Also:
        Constant Field Values

    - #### VERTEX_PROPERTY_TOKEN

          public static final String VERTEX_PROPERTY_TOKEN

      Deprecated.

  - ### Method Detail

    - #### instance

          public static MultiMetaNeo4jTrait instance()

      Deprecated.

    - #### getNodePredicate

          public Predicate<Neo4jNode> getNodePredicate()

      Deprecated.
      Specified by:
        `getNodePredicate` in interface `Neo4jTrait`

    - #### getRelationshipPredicate

          public Predicate<Neo4jRelationship> getRelationshipPredicate()

      Deprecated.
      Specified by:
        `getRelationshipPredicate` in interface `Neo4jTrait`

    - #### removeVertex

          public void removeVertex(Neo4jVertex vertex)

      Deprecated.
      Specified by:
        `removeVertex` in interface `Neo4jTrait`

    - #### getVertexProperty

          public <V> VertexProperty<V> getVertexProperty(Neo4jVertex vertex,
                                                         String key)

      Deprecated.
      Specified by:
        `getVertexProperty` in interface `Neo4jTrait`

    - #### getVertexProperties

          public <V> Iterator<VertexProperty<V>> getVertexProperties(Neo4jVertex vertex,
                                                                     String... keys)

      Deprecated.
      Specified by:
        `getVertexProperties` in interface `Neo4jTrait`

    - #### setVertexProperty

          public <V> VertexProperty<V> setVertexProperty(Neo4jVertex vertex,
                                                         VertexProperty.Cardinality cardinality,
                                                         String key,
                                                         V value,
                                                         Object... keyValues)

      Deprecated.
      Specified by:
        `setVertexProperty` in interface `Neo4jTrait`

    - #### getCardinality

          public VertexProperty.Cardinality getCardinality(String key)

      Deprecated.
      Specified by:
        `getCardinality` in interface `Neo4jTrait`

    - #### supportsMultiProperties

          public boolean supportsMultiProperties()

      Deprecated.
      Specified by:
        `supportsMultiProperties` in interface `Neo4jTrait`

    - #### supportsMetaProperties

          public boolean supportsMetaProperties()

      Deprecated.
      Specified by:
        `supportsMetaProperties` in interface `Neo4jTrait`

    - #### removeVertexProperty

          public void removeVertexProperty(Neo4jVertexProperty vertexProperty)

      Deprecated.
      Specified by:
        `removeVertexProperty` in interface `Neo4jTrait`

    - #### setProperty

          public <V> Property<V> setProperty(Neo4jVertexProperty vertexProperty,
                                             String key,
                                             V value)

      Deprecated.
      Specified by:
        `setProperty` in interface `Neo4jTrait`

    - #### getProperty

          public <V> Property<V> getProperty(Neo4jVertexProperty vertexProperty,
                                             String key)

      Deprecated.
      Specified by:
        `getProperty` in interface `Neo4jTrait`

    - #### getProperties

          public <V> Iterator<Property<V>> getProperties(Neo4jVertexProperty vertexProperty,
                                                         String... keys)

      Deprecated.
      Specified by:
        `getProperties` in interface `Neo4jTrait`

    - #### lookupVertices

          public Iterator<Vertex> lookupVertices(Neo4jGraph graph,
                                                 List<HasContainer> hasContainers,
                                                 Object... ids)

      Deprecated.
      Specified by:
        `lookupVertices` in interface `Neo4jTrait`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.